MythicIDs = LibStub("AceAddon-3.0"):NewAddon("MythicIDs", "AceConsole-3.0")

MythicIDs:RegisterChatCommand("mid", "Msendchat")
MythicIDs:RegisterChatCommand("mids", "Msendchat")
MythicIDs:RegisterChatCommand("myticids", "Msendchat")

if (GetLocale() == "deDE") then
  completed = "bereits ID"
  ncompleted = "ID frei"
  DBlabel = "für Mythische Instanzen"
  chatlabel = "Übersicht über Mythische Instanzen"
else
  completed = "Completed"
  ncompleted = "Not Completed"
  DBlabel = "for Mythic Instances"
  chatlabel = "Overview for Mythic Instances"
end

function MythicIDs:Msendchat()
  if IsInInstance() == true then
    SendChatMessage(chatlabel, "INSTANCE_CHAT")
  elseif IsInGroup() then
    SendChatMessage(chatlabel, "PARTY")
  end
	for i=1,GetNumSavedInstances() 
		do local n,_,_,d,r,_,_,_,_,j = GetSavedInstanceInfo(i) 
		if d==23  
		then
      if r==true
      then
        if IsInInstance() == true then
          SendChatMessage(""..n.." - "..completed.."", "INSTANCE_CHAT")
        elseif IsInGroup() then
          SendChatMessage(""..n.." - "..completed.."", "PARTY")
        else
          print(""..n.." - "..j.." - \124cffff0000"..completed.."")
        end
      else
        if IsInInstance() == true then
          SendChatMessage(""..n.." - "..ncompleted.."", "INSTANCE_CHAT")
        elseif IsInGroup() then
          SendChatMessage(""..n.." - "..ncompleted.."", "PARTY")
        else
          print(""..n.." - "..j.." - \124cff00ff00"..ncompleted.."")
        end
		  end 	
    end
	end
end

local function GetScreenHalf()
	local _, y = GetCursorPosition()
	if y * 2 > UIParent:GetHeight() then
		return "TOP"
	else
		return "BOTTOM"
	end
end
             
MIDsDataBroker = LibStub("LibDataBroker-1.1"):NewDataObject("Mythic IDs", {
  type = "launcher",
  icon = "Interface\\Addons\\MythicIDs\\icons\\DBIcon.tga",
  label = "Mythic IDs",
    
  OnEnter = function(self)
    GameTooltip:SetOwner(self, GetScreenHalf() == "TOP" and "ANCHOR_BOTTOM" or "ANCHOR_TOP")
    GameTooltip:SetText("\r\nMythic IDs "..DBlabel.."");
    for i=1,GetNumSavedInstances() 
		  do local n,_,_,d,r,_,_,_,_,j = GetSavedInstanceInfo(i) 
		  if d==23  
		  then
        if r==true
        then
          GameTooltip:AddDoubleLine(""..n..":", "\124cffff0000"..completed.."");
        else
          GameTooltip:AddDoubleLine(""..n..":", "\124cff00ff00"..ncompleted.."");
        end
      end
	  end
  	GameTooltip:Show()
  end,
    
  OnClick = function(self, button)
    if button == "LeftButton" then
      MythicIDs:Msendchat();
    elseif button == "RightButton" then
  	elseif button == "MiddleButton" then
    end
  end,
})